@echo off

rem set main data directory
set G1=c:\mics\ISSA\data
set G2=c:\mics\ISSA\verify
set G4=a:
set G5=c:\mics\ISSA

cd %G5%\entry
cls

%G5%\setcheck set s *
if !%s%==! cls
if !%s%==! echo You must select a cluster number!  Process stopped.
if !%s%==! pause
if !%s%==! goto END
cls

:MENU
cls
set goback=MENU
set title1=MICS DATA ENTRY MENU
if not !%1==! set title2=%1
set options1=1. Select a New Cluster Number
set options2=separator
set options3=2. Enter Main Data
set options4=3. Modify Main Data
set options5=separator
set options6=4. Enter Verification Data
set options7=5. Modify Verification Data
set options8=separator
set options9=6. Upload Main Data Files
set options10=7. Upload Verification Data Files
set options11=separator
set options12=8. Index Main Household Data
set options13=9. Index Main Woman's Data
set options14=10. Index Main Child's Data
set options15=separator
set options16=11. Index Verification Household Data
set options17=12. Index Verification Woman's Data
set options18=13. Index Verification Child's Data
set options19=Quit
set clear=No

%G5%\options

if %options%==1 goto NEW
if %options%==2 goto ENTER
if %options%==3 goto MODM
if %options%==4 goto VERIFY
if %options%==5 goto MODV
if %options%==6 goto UPLOADM
if %options%==7 goto UPLOADV
if %options%==8 goto MIDXH
if %options%==9 goto MIDXW
if %options%==10 goto MIDXC
if %options%==11 goto VIDXH
if %options%==12 goto VIDXW
if %options%==13 goto VIDXC
if %options%==14 goto END
if %options%==0  goto END

rem Just in case...
goto END

rem Select a new cluster number
rem ---------------------------
:NEW
set temps=%s%
%G5%\setcheck set s *
if !%s%==! set s=%temps%
if %s%==%temps% goto %goback%
goto %goback%

rem Enter data
rem ----------
:ENTER
if not exist %G1%\HH%s%M.DAT goto ADDNEW
if not exist %G1%\HH%s%M.IDX goto ERROR4
if not exist %G1%\WM%s%M.DAT goto ERROR2
if not exist %G1%\WM%s%M.IDX goto ERROR5
if not exist %G1%\CH%s%M.DAT goto ERROR3
if not exist %G1%\CH%s%M.IDX goto ERROR6
goto ADDOK
:ADDNEW
if exist %G1%\HH%s%M.IDX del %G1%\HH%s%M.IDX
if exist %G1%\WM%s%M.DAT del %G1%\WM%s%M.DAT
if exist %G1%\WM%s%M.IDX del %G1%\WM%s%M.IDX
if exist %G1%\CH%s%M.DAT del %G1%\CH%s%M.DAT
if exist %G1%\CH%s%M.IDX del %G1%\CH%s%M.IDX
:ADDOK
echo MICSHH=%G1%\HH%s%M.DAT > MICSDE.PIF
echo MICSWM=%G1%\WM%s%M.DAT >>MICSDE.PIF
echo MICSCH=%G1%\CH%s%M.DAT >>MICSDE.PIF
EXENTRY MICSDE $mode=add $parm=%s%
cls
goto %goback%

rem Modify data
rem ----------
:MODM
if not exist %G1%\HH%s%M.DAT goto  ERROR1
if not exist %G1%\HH%s%M.IDX goto  ERROR4
if not exist %G1%\WM%s%M.DAT goto  ERROR2
if not exist %G1%\WM%s%M.IDX goto  ERROR5
if not exist %G1%\CH%s%M.DAT goto  ERROR3
if not exist %G1%\CH%s%M.IDX goto  ERROR6
echo MICSHH=%G1%\HH%s%M.DAT > MICSDE.PIF
echo MICSWM=%G1%\WM%s%M.DAT >>MICSDE.PIF
echo MICSCH=%G1%\CH%s%M.DAT >>MICSDE.PIF
EXENTRY MICSDE $mode=update $parm=%s%
cls
goto %goback%

rem Verify data
rem ----------
:VERIFY
if not exist %G2%\HH%s%V.DAT goto ADDNEWV
if not exist %G2%\HH%s%V.IDX goto  ERROR4V
if not exist %G2%\WM%s%V.DAT goto  ERROR2V
if not exist %G2%\WM%s%V.IDX goto  ERROR5V
if not exist %G2%\CH%s%V.DAT goto  ERROR3V
if not exist %G2%\CH%s%V.IDX goto  ERROR6V
goto VEROK
:ADDNEWV
if exist %G2%\HH%s%V.IDX del %G2%\HH%s%V.IDX
if exist %G2%\WM%s%V.DAT del %G2%\WM%s%V.DAT
if exist %G2%\WM%s%V.IDX del %G2%\WM%s%V.IDX
if exist %G2%\CH%s%V.DAT del %G2%\CH%s%V.DAT
if exist %G2%\CH%s%V.IDX del %G2%\CH%s%V.IDX
:VEROK
echo MICSHH=%G2%\HH%s%V.DAT > MICSDE.PIF
echo MICSWM=%G2%\WM%s%V.DAT >>MICSDE.PIF
echo MICSCH=%G2%\CH%s%V.DAT >>MICSDE.PIF
EXENTRY MICSDE $mode=add $parm=%s%
cls
goto %goback%

rem Modify data
rem ----------
:MODV
if not exist %G2%\HH%s%V.DAT goto  ERROR1V
if not exist %G2%\HH%s%V.IDX goto  ERROR4V
if not exist %G2%\WM%s%V.DAT goto  ERROR2V
if not exist %G2%\WM%s%V.IDX goto  ERROR5V
if not exist %G2%\CH%s%V.DAT goto  ERROR3V
if not exist %G2%\CH%s%V.IDX goto  ERROR6V
echo MICSHH=%G2%\HH%s%V.DAT > MICSDE.PIF
echo MICSWM=%G2%\WM%s%V.DAT >>MICSDE.PIF
echo MICSCH=%G2%\CH%s%V.DAT >>MICSDE.PIF
EXENTRY MICSDE $mode=update $parm=%s%
cls
goto %goback%

:MIDXH
if not exist %G1%\HH%s%M.DAT goto  ERROR1
exindex indexH micsHH=%G1%\HH%s%M.DAT
goto %goback%

:MIDXW
if not exist %G1%\WM%s%M.DAT goto  ERROR2
exindex indexW micsWM=%G1%\WM%s%M.DAT
goto %goback%

:MIDXC
if not exist %G1%\CH%s%M.DAT goto  ERROR3
exindex indexC micsCH=%G1%\CH%s%M.DAT
goto %goback%

:VIDXH
if not exist %G2%\HH%s%V.DAT goto  ERROR1V
exindex indexH micsHH=%G2%\HH%s%V.DAT
goto %goback%

:VIDXW
if not exist %G2%\WM%s%V.DAT goto  ERROR2V
exindex indexW micsWM=%G2%\WM%s%V.DAT
goto %goback%

:VIDXC
if not exist %G2%\CH%s%V.DAT goto  ERROR3V
exindex indexC micsCH=%G2%\CH%s%V.DAT
goto %goback%

rem Upload main data
rem ______________
:UPLOADM
if not exist %G1%\hh%s%m.DAT goto error1
if not exist %G1%\wm%s%m.DAT goto error2
if not exist %G1%\ch%s%m.DAT goto error3
cls
echo Please insert a diskette
pause
xcopy %G1%\??%s%m.* %G4%
goto %goback%

rem Upload verification data
rem ----------------
:UPLOADV
if not exist %G2%\hh%s%V.DAT goto error1V
if not exist %G2%\wm%s%V.DAT goto error2V
if not exist %G2%\ch%s%V.DAT goto error3V
cls
echo Please insert a diskette
pause
xcopy %G2%\??%s%v.* %G4%
goto %goback%

:error1
cls
echo No main household data files exist for cluster %s%.
pause
goto %goback%

:error2
cls
echo No main women's data files exist for cluster %s%.
pause
goto %goback%

:error3
cls
echo No main children's data files exist for cluster %s%.
pause
goto %goback%

:error4
cls
echo No main household index files exist for cluster %s%.
pause
goto %goback%

:error5
cls
echo No main women's index files exist for cluster %s%.
pause
goto %goback%

:error6
cls
echo No main children's index files exist for cluster %s%.
pause
goto %goback%

:error1v
cls
echo No verification household data files exist for cluster %s%.
pause
goto %goback%

:error2v
cls
echo No verification women's data files exist for cluster %s%.
pause
goto %goback%

:error3v
cls
echo No verification children's data files exist for cluster %s%.
pause
goto %goback%

:error4v
cls
echo No verification household index files exist for cluster %s%.
pause
goto %goback%

:error5v
cls
echo No verification women's index files exist for cluster %s%.
pause
goto %goback%

:error6v
cls
echo No verification children's index files exist for cluster %s%.
pause
goto %goback%

:END
cls
set s=
set options=
cd %G5%
set G1=
set G2=
set G4=
set G5=
