copy ..\final\hh*m.dat hha.dat
copy ..\final\wm*m.dat wma.dat
copy ..\final\ch*m.dat cha.dat

copy ..\entry\*.dic

exsort sorthh micshh=hha.dat $copy=hh.dat
exsort sortwm micswm=wma.dat $copy=wm.dat
exsort sortch micsch=cha.dat $copy=ch.dat

del hha.dat
del wma.dat
del cha.dat

exexport readhh micshh=hh.dat $copy=readhh.dat
exexpdes readhh spss
exexport readhl micshh=hh.dat $copy=readhl.dat
exexpdes readhl spss
exexport readwm micswm=wm.dat $copy=readwm.dat
exexpdes readwm spss
exexport readch micsch=ch.dat $copy=readch.dat
exexpdes readch spss

rem copy data files to the SPSS directory
copy r*.dat ..\spss\

rem copy SPSS description files to the SPSS directory
copy r*.sps ..\spss\

rem delete dictionaries copied for the entry subdirectory
del *.dic
